package com.ruoyi.inventory.domain.enums;

/**
 * 盘点结果
 */
public enum InventoryResult {
    /** 盘亏 */
    INVENTORY_SHORTAGES(-1, "盘亏"),
    /** 正常 */
    INVENTORY_NORMAL(0, "正常"),
    /** 盘盈 */
    INVENTORY_PROFIT(1, "盘盈");

    /** 特定代码 */
    private final Integer code;

    /** 名称 */
    private final String name;

    InventoryResult(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    /**
     * 根据特定代码返回名称
     *
     * @param code 特定代码
     * @return 名称/null
     */
    public static String getName(Integer code) {
        for (InventoryResult value : InventoryResult.values()) {
            if (value.code.equals(code)) {
                return value.getName();
            }
        }
        return null;
    }
}
